# Function compose

- compose(...args): ((...args: any) => any)

- Given a varargs list of functions, returns a function that composes the argument functions, right-to-left given: f(x), g(x), h(x) let composed = compose(f,g,h) then, composed is: f(g(h(x)))

  #### Parameters

  - `Rest`...args: any

  #### Returns ((...args: any) => any)

  - - (...args): any

    - #### Parameters

      - `Rest`...args: any

      #### Returns any

  - Defined in shared/hof.js:57